Subject: Roundup application on dormant centipede grass

From: [email-masked](Michael L Roginsky )
Date: 23 Apr 1996 21:11:58 GMT

Centipede when dormant should not be affected by Roundup sprayed on
winter weeds like onions and chickweed. Mine centipede still sleeps. I
did after consulting with a wholesaler in garden products. Should I
start planting or wait for a wakening? After all I am only an engineer,
an old one at that! :) Micro, not a microbe.